# 下单

**1. 接口调用：**

`https://{host}/gt/swap/path/v1/placeOrder`

**2. 请求参数实例**

| 参数              | 是否必须 | 说明                                                   |
| --------------- | ---- | ---------------------------------------------------- |
| depositCoinCode | 是    | 买:用户自定义币种                卖: nft 合约地址                 |
| receiveCoinCode | 是    | 买: nft的Id;                                卖: 用户自定义币种 |
| fromTokenChain  | 是    | 买：不需要传                         卖：nft主网               |
| nftLogoUrl      | 是    | 买：不需要传                        卖： nft 图片              |
| nftName         | 是    | 买：不需要传                        卖： nft 名称              |
| orderSide       | 是    | 0--卖 1--买                                            |
| paymentContract | 是    | 买：不需要传                        卖：基本币的合约地址             |
| platformId      | 是    | 平台Id                                                 |
| refundAddr      | 是    | 退币地址                                                 |
| tokenId         | 是    | 买：不需要传                        卖：nft的 tokenId         |
| userAddr        | 是    | 用户收币地址                                               |
| equipmentNo     | 否    | 设备编号                                                 |
| sessionUuid     | 否    | 用户唯一的登录标识sessionId                                   |
| sourceFlag      | 否    | 订单来源用于标识是哪个平台创建的订单，请联系我们设置                           |
| sourceType      | 否    | 请求来源设备(IOS,Android,h5)                               |
| userNo          | 否    | 用户名                                                  |

#### 3.请求参数示例

```
{
	"depositCoinCode": "",
	"equipmentNo": "",
	"fromTokenChain": "",
	"nftLogoUrl": "",
	"nftName": "",
	"orderSide": "",
	"paymentContract": "",
	"platformId": "",
	"receiveCoinCode": "",
	"refundAddr": "",
	"sessionUuid": "",
	"sourceFlag": "",
	"sourceType": "",
	"tokenId": "",
	"userAddr": "",
	"userNo": ""
}
```

#### 4.返回结果示例

```
{
	"data": {
		"depositCoinAmt": "",
		"depositCoinCode": "",
		"destinationAddr": "",
		"equipmentNo": "",
		"isNft": "",
		"nftId": "",
		"nftLogoUrl": "",
		"nftName": "",
		"orderId": "",
		"orderSide": "",
		"orderStatus": "",
		"platformAddr": "",
		"receiveCoinAmt": "",
		"receiveCoinCode": "",
		"refundAddr": "",
		"router": "",
		"txInfo": {},
		"userAddr": ""
	},
	"resCode": "800",
	"resMsg": "success"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-swft.swft.pro/nft-api/xia-dan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
